Search documentation of tiger_stripe

# Stripe.Services.TaxCodeService (tiger_stripe v0.1.1)

Copy Markdown View Source

TaxProductResourceTaxCode

Tax codes classify goods and services for tax purposes.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all tax codes

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a tax code

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all tax codes

A list of all tax codes available to add to Products in order to allow specific tax calculations.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a tax code

Retrieves the details of an existing tax code. Supply the unique tax code ID and Stripe will return the corresponding tax code information.